---
title: math.m_inf() function
description: The math.m_inf() function returns positive infinity if `sign >= 0`, negative infinity if `sign < 0`.


menu:
  v2_0_ref:
    name: math.m_inf
    parent: Math
weight: 301
---

The `math.m_inf()` function returns positive infinity if `sign >= 0`, negative infinity if `sign < 0`.

_**Output data type:** Float_

```js
import "math"

math.m_inf(sign: 1)

// Returns +Inf
```

## Parameters

### sign
The sign value used in the operation.

_**Data type:** Integer_
